import java.util.*;

public class Gen09 {

	public static void main(String[] args) {
		System.out.println((1 << 9) + 1);
		for(int i = (1 << 30) - (1 << 8); i <= (1 << 30) + (1 << 8); ++i) {
			System.out.println(i + " " + (1 << 10));
		}
	}
} 